Index: src/pl/plpython/plpython.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/pl/plpython/plpython.c,v
retrieving revision 1.98
diff -p -u -c -r1.98 plpython.c
*** src/pl/plpython/plpython.c	3 Apr 2007 13:37:22 -0000	1.98
--- src/pl/plpython/plpython.c	3 Apr 2007 14:43:06 -0000
*************** typedef int Py_ssize_t;
*** 32,37 ****
--- 32,45 ----
  #define PY_SSIZE_T_MIN INT_MIN
  #endif
  
+ /*
+  * PyBool_FromLong is supported from 2.3.
+  */
+ #if PY_VERSION_HEX < 0x02030000
+ #define PyBool_FromLong(x) PyInt_FromLong(x)
+ #endif
+ 
+ 
  #include "postgres.h"
  
  /* system stuff */
*************** PLyBool_FromString(const char *src)
*** 1600,1607 ****
  	 *	versions.  http://docs.python.org/api/boolObjects.html
  	 */
  	if (src[0] == 't')
! 		return PyInt_FromLong(1);
! 	return PyInt_FromLong(0);
  }
  
  static PyObject *
--- 1608,1615 ----
  	 *	versions.  http://docs.python.org/api/boolObjects.html
  	 */
  	if (src[0] == 't')
! 		return PyBool_FromLong(1);
! 	return PyBool_FromLong(0);
  }
  
  static PyObject *
